Skip to main content
GET
/
api
/
v1
/
calendars
/
{object_id}
curl --request GET \
  --url https://app.attendee.dev/api/v1/calendars/cal_abcdef1234567890 \
  --header 'Authorization: Token YOUR_API_KEY_HERE' \
  --header 'Content-Type: application/json'
{
  "id": "cal_abcdef1234567890",
  "platform": "google",
  "client_id": "123456789-abcdefghijklmnopqrstuvwxyz.apps.googleusercontent.com",
  "platform_uuid": "[email protected]",
  "state": "connected",
  "metadata": {
    "tenant_id": "1234567890"
  },
  "deduplication_key": "user-abcd",
  "connection_failure_data": null,
  "created_at": "2025-01-13T10:30:00.123456Z",
  "updated_at": "2025-01-13T10:30:00.123456Z",
  "last_successful_sync_at": "2025-01-13T11:00:00.123456Z",
  "last_attempted_sync_at": "2025-01-13T11:00:00.123456Z"
}

Authentication

Requires API key authentication via the Authorization header.

Path Parameters

object_id
string
required
Calendar ID (e.g., cal_abcdef1234567890)

Response

id
string
Unique identifier for the calendar
platform
string
Calendar platform (google or microsoft)
client_id
string
Client ID for the calendar platform authentication
platform_uuid
string
UUID of the calendar on the platform
state
string
Connection state (connected or disconnected)
metadata
object
Metadata associated with the calendar
deduplication_key
string
Optional key for deduplicating calendars
connection_failure_data
object
Information about connection failures, if any
created_at
string
Timestamp when the calendar was created (ISO 8601 format)
updated_at
string
Timestamp when the calendar was last updated (ISO 8601 format)
last_successful_sync_at
string
Timestamp of the last successful sync (ISO 8601 format)
last_attempted_sync_at
string
Timestamp of the last attempted sync (ISO 8601 format)
curl --request GET \
  --url https://app.attendee.dev/api/v1/calendars/cal_abcdef1234567890 \
  --header 'Authorization: Token YOUR_API_KEY_HERE' \
  --header 'Content-Type: application/json'
{
  "id": "cal_abcdef1234567890",
  "platform": "google",
  "client_id": "123456789-abcdefghijklmnopqrstuvwxyz.apps.googleusercontent.com",
  "platform_uuid": "[email protected]",
  "state": "connected",
  "metadata": {
    "tenant_id": "1234567890"
  },
  "deduplication_key": "user-abcd",
  "connection_failure_data": null,
  "created_at": "2025-01-13T10:30:00.123456Z",
  "updated_at": "2025-01-13T10:30:00.123456Z",
  "last_successful_sync_at": "2025-01-13T11:00:00.123456Z",
  "last_attempted_sync_at": "2025-01-13T11:00:00.123456Z"
}

Build docs developers (and LLMs) love